Package org.globus.gsi.gssapi.jaas

# Class SimplePrincipal

java.lang.Object
org.globus.gsi.gssapi.jaas.SimplePrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

Direct Known Subclasses:
  `GlobusPrincipal`, `UserNamePrincipal`

public class SimplePrincipal extends Object implements Principal, Serializable
Simple string-based principal.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SimplePrincipal()`
`SimplePrincipal(String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object another)`
`String`
`getName()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### SimplePrincipal

public SimplePrincipal()

### SimplePrincipal

public SimplePrincipal(String name)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `Principal`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Principal`
Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object another)

Specified by:
  `equals` in interface `Principal`
Overrides:
  `equals` in class `Object`

### toString

public String toString()

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`